<!-- Widget View -->
<div fxLayout="row wrap" fxLayout.md="column" fxLayout.xs="column" fxLayout.sm="column">
    <div *ngFor="let widget of widgets"
    class="widget-margins"
    fxFlex="0 0 {{ isGridView() ? widget.grid.width - 2 : 100 }}%"
    [fxFlexOrder]="widget.grid.order"
    [fxShow]="isWidgetVisible(widget)">
        <app-dashboard-widget
        [wid]="widget.id"
        [(name)]="widget.name"
        [viewProviderType]="widget.viewProviderType"
        [(dataProviderType)]="widget.dataProviderType"
        [(mappingProviderType)]="widget.mappingProviderType"
        [viewMode]="viewMode"
        [viewProdiverEditorConfig]="widget.viewProviderEditorConfig"
        [dataProviderEditorConfig]="widget.dataProviderEditorConfig"
        (viewModeChange)="onViewModeChange($event, widget.id)"
        (removeClick)="onRemoveClicked(widget.id)"
        (widgetSizeChange)="resizeWidget($event, widget)"></app-dashboard-widget>
    </div>
</div>